Index: pythran/pythran/tests/scikit-image/_greyreconstruct.py
===================================================================
--- pythran.orig/pythran/tests/scikit-image/_greyreconstruct.py	2021-11-14 12:13:52.488862487 +0100
+++ pythran/pythran/tests/scikit-image/_greyreconstruct.py	2022-05-31 11:17:06.127162778 +0200
@@ -45,7 +45,7 @@
     while current_idx != -1:
         if current_idx < image_stride:
             current_rank = ranks[current_idx]
-            if current_rank == 0:
+            if not current_rank:
                 break
             for i in range(nstrides):
                 neighbor_idx = current_idx + strides[i]
